### Method

# Gtk ProgressBarset_text

#### Declaration [src]

    void
    gtk_progress_bar_set_text (
      GtkProgressBar* pbar,
      const char* text
    )

#### Description [src]

Causes the given `text` to appear next to the progress bar.

If `text` is `NULL` and `GtkProgressBar:show-text` is `TRUE`, the current value of `GtkProgressBar:fraction` will be displayed as a percentage.

If `text` is non-`NULL` and `GtkProgressBar:show-text` is `TRUE`, the text will be displayed. In this case, it will not display the progress percentage. If `text` is the empty string, the progress bar will still be styled and sized suitably for containing text, as long as `GtkProgressBar:show-text` is `TRUE`.

Sets property | `Gtk.ProgressBar:text`

#### Parameters

`text`

  Type: `const char*`

  A UTF-8 string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.